commit: 31aba518708508114a13f7f774497ef909264866
Author: Matthew Thode <prometheanfire <AT> gentoo <DOT> org>
AuthorDate: Wed Apr 10 04:28:47 2019 +0000
Commit: Matthew Thode <prometheanfire <AT> gentoo <DOT> org>
CommitDate: Wed Apr 10 05:08:03 2019 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=31aba518
dev-python/oslo-rootwrap: 5.15.2 bump
Package-Manager: Portage-2.3.62, Repoman-2.3.12
Signed-off-by: Matthew Thode <prometheanfire <AT> gentoo.org>
dev-python/oslo-rootwrap/Manifest | 1 +
.../oslo-rootwrap/oslo-rootwrap-5.15.2.ebuild | 49 ++++++++++++++++++++++
2 files changed, 50 insertions(+)
diff --git a/dev-python/oslo-rootwrap/Manifest
b/dev-python/oslo-rootwrap/Manifest
index fc31a60a053..4b2df6e21ad 100644
--- a/dev-python/oslo-rootwrap/Manifest
+++ b/dev-python/oslo-rootwrap/Manifest
@@ -1 +1,2 @@
DIST oslo.rootwrap-5.13.0.tar.gz 43433 BLAKE2B
8d53587f63022255683d18b8ce22dca07a160d7692e9d2fcd5e6c466bb6969da11a9a1af4646809921724b9f1b63b2532728bd3ade82312354793b6b4d15f0d4
SHA512
ff716e1e5900f754617578eb8bf60c1d2794474706f22a0c619c94177602ed3c3acde42ad499a7a613f310d6dffe526339b5cd1c96ecc727dcc43e1a9afd606c
+DIST oslo.rootwrap-5.15.2.tar.gz 45566 BLAKE2B
1755a52d1e380a512c50f5314f7a4f249da9e62030abfef531bf973277a98f1f42f1c27a69a4e6e5cf64441e6a7263a3780355da4860461cfafed172ea087946
SHA512
9fc4c4678a25ebecb08026e71ef8da44bf1214f177d5330de8d68cfce8c3d85f4085a9e19f282bc8b498a36d8a7e384cde354a95619a800e3a68aba088df5aad
diff --git a/dev-python/oslo-rootwrap/oslo-rootwrap-5.15.2.ebuild
b/dev-python/oslo-rootwrap/oslo-rootwrap-5.15.2.ebuild
new file mode 100644
index 00000000000..6386ba45a63
--- /dev/null
+++ b/dev-python/oslo-rootwrap/oslo-rootwrap-5.15.2.ebuild
@@ -0,0 +1,49 @@
+# Copyright 1999-2019 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+PYTHON_COMPAT=( python2_7 python3_{4,5,6,7} )
+
+inherit distutils-r1
+
+DESCRIPTION="Allows fine filtering of shell commands to run as root from
OpenStack services"
+HOMEPAGE="https://pypi.org/project/oslo.config/"
+SRC_URI="mirror://pypi/${PN:0:1}/oslo.rootwrap/oslo.rootwrap-${PV}.tar.gz"
+S="${WORKDIR}/oslo.rootwrap-${PV}"
+
+LICENSE="Apache-2.0"
+SLOT="0"
+KEYWORDS="~amd64 ~arm64 ~x86"
+IUSE="test"
+
+CDEPEND=">=dev-python/pbr-2.0.0[${PYTHON_USEDEP}]
+ !~dev-python/pbr-2.1.0"
+DEPEND="dev-python/setuptools[${PYTHON_USEDEP}]
+ ${CDEPEND}
+ test? (
+ >=dev-python/fixtures-3.0.0[${PYTHON_USEDEP}]
+ >=dev-python/testscenarios-0.4[${PYTHON_USEDEP}]
+ >=dev-python/testtools-2.2.0[${PYTHON_USEDEP}]
+ >=dev-python/stestr-2.0.0[${PYTHON_USEDEP}]
+ >=dev-python/sphinx-1.6.2[${PYTHON_USEDEP}]
+ !~dev-python/sphinx-1.6.6[${PYTHON_USEDEP}]
+ !~dev-python/sphinx-1.6.7[${PYTHON_USEDEP}]
+ >=dev-python/openstackdocstheme-1.18.1[${PYTHON_USEDEP}]
+ >=dev-python/oslotest-3.2.0[${PYTHON_USEDEP}]
+ >=dev-python/mock-2.0.0[${PYTHON_USEDEP}]
+ >=dev-python/eventlet-0.18.4[${PYTHON_USEDEP}]
+ !~dev-python/eventlet-0.20.1[${PYTHON_USEDEP}]
+ >=dev-python/reno-2.5.0[${PYTHON_USEDEP}]
+ >dev-python/bandit-1.1.0[${PYTHON_USEDEP}]
+ dev-python/nose[${PYTHON_USEDEP}] )"
+RDEPEND=">=dev-python/six-1.10.0[${PYTHON_USEDEP}]"
+
+python_prepare_all() {
+ sed -i '/^hacking/d' test-requirements.txt || die
+ distutils-r1_python_prepare_all
+}
+
+python_test() {
+ sed -i 's/sbin\/ip/bin\/ip/g' tests/test_rootwrap.py
+ nosetests tests/ || die "test failed under ${EPYTHON}"
+}